<!--
.. date: 2014/01/22 10:04
.. title: Self-righteous spam police
-->

For over 15 years I’ve been – together with friends – running elektropost.org, a community mail server that provides free email accounts and mailing lists for friends, family, several NGOs and small companies – so they don’t have to turn to google mail or worse. We pride ourself in being good netizens, providing spam filtering, discarding our double bounces and so on.

Imagine our surprise when we suddenly were served bounces like

> Remote host said: 554 5.7.1 Service unavailable; Client host [217.115.13.199] blocked using bl.spamcop.net;
> Blocked - see http://www.spamcop.net/bl.shtml?217.115.13.199

basically denouncing us as spammers. When investigating the issue, we were informed that

> Causes of listing:
> System has sent mail to SpamCop spam traps in the past week (spam traps are secret, no reports or evidence
> are provided by SpamCop).

our system has sent an email to a secret mail address guaranteed to only receive spam emails. Any protest is futile, the website <http://www.spamcop.net/w3m?action=blcheck&ip=217.115.13.199> told us,

> Dispute Listing:
> If you are the administrator of this system and you are sure this listing is erroneous, you may request that we
> review the listing. Because everyone wants to dispute their listing, regardless of merit, we reserve the right
> to ignore meritless disputes.

basically saying: All the bad guys say that they are not the bad guys, so … sure, go on, drop us an note, whining about how bad the world is and we ignore it. Because you are a spammer. And we know because we said so.

At this point I would have just ignored them, after all the internet told me that they even put gmail on their RBL. But it turned out that several larger sites actually use the lists provided by spamcop and the amount of bounces started to hurt our community mail server.

I dug a little deeper and found that the spamcop project actually makes money selling it’s block list to other mailers in need of immediate updateso for US$ 1000: <http://www.spamcop.net/fom-serve/cache/340.html> and, worse they even sell email accounts for US$30 per year <http://www.spamcop.net/ces/pricing.shtml> which clearly indicates a conflict of interests. “Unfortunate mis-listing” of other free mail servers now appears as defamation of potential competition. So they better have their facts straight! But – have they? How to find that out, if they never want to present their proof of me being a spammer?

After failing to provide my email address as abuse-contact for our mail server at abuse.net – due to our mail server being on the black list (oh, the irony), I focussed on writing the most brown-nosing post on their feedback system. I explained, that we kept our system tidy for over a decade and would appreciate some assistance in resolving their claim. After a while I received an email, again explaining, that 

> This IP is listed because it is sending spam to our traps.  Traps are addresses on our systems that have never
> existed and could never subscribe to be on any mailing list. Any mail to them is spam.  We will not provide any
> information that identifies our traps or their locations.

but also providing a sample of the spam they received. And indeed

```text
    Received: from elektropost.org ([217.115.13.199]) helo=elektropost.org
            by <removed>; Tue, 21 Jan 2014 17:xx:xx -0800
    Date: Wed, 22 Jan 2014 08:xx:xx +0700
    Message-ID: <2172___________________3767@gasz.nl>
    From: Online Casino <hqbwrgayueue@gasz.nl>
    To: <x>
    Subject: Ihr Ziel: Profit
```

this very much looks like spam, originating from our mail server. I also found some traces of that email in my rather sparse mail server logs and was flabbergasted for a moment, how this could have been relayed through the server without anyone authenticating. Fortunately I found a corresponding incoming spam mail to one of our users accounts, I found a mail forward set for this user to the address that obviously now serves as one of spamcops spam traps and from then on it all became clear. That user has set up a dedicated vacation account and forwarded all emails from that account to a satellite mail provider. The user also wrote several blog posts, pointing potential co-travelers to this address. The provider shut down the account a while ago and now decided that since nearly every email to this account looks spam-ish, it would make a perfect spam trap.

Now, even our overeager friends at spamcop have noticed that re-using a once legitimate address is a stupid idea, from <http://www.spamcop.net/fom-serve/cache/402.html>:

> Traps must consist of email addresses which have never been used for legitimate email. They should not
> be "recycled" user accounts.

However, they never seem to verify, if their contributors actually follow those guidelines. In our case, a simple google search would have warned them.

I just wrapped up all this in an email to the hard-working “deputies” they employ over there at spamcop HQ and hope for a quick de-listing, and maybe – just maybe – for an apology.

In the end all left to conclude is: Do no put the burden of fighting spam on others. My users actually experienced bounced emails, I experienced two days of debugging and fixing other peoples amateurish setup, our project’s reputation was damaged. Spamcop, your secret spam traps are a stupid idea and they hurt the community, in our case possibly driving users away from a privacy-aware project to other freemailer providers that are large enough to have resources to deal with problems like you.
