<!--
.. date: 2008/07/23 21:06
.. title: Datenmessie
-->

Es gibt so Tage, da liebe ich mein Heimatland einfach. Die ganzen vermufften spiessigen Strukturen, das braesige Bildungsbuergertum und ihre Ordnungsliebe.

Heute war so ein Tag. Nach der Investition von nur 41EUR habe ich nun meine Sammlung komplett. 12 Jahre digitale Fernmeldegeschichte nur eine handbreit entfernt und niemand kann mich mehr aufhalten.
Aber der Reihe nach.

Wie schon in [Die Datenschleuder #77](http://ds.ccc.de/pdfs/ds077.pdf) (Seite 26) und [Die Datenschleuder #86](http://chaosradio.ccc.de/media/ds/ds086.pdf) (Seite 63) angedeutet,
habe ich eine – nennen wir es – Sammelleidenschaft fuer elektronisch erfasste Telefon-Teilnehmerverzeichnisse. Gut, man kann argumentieren, dass sich die wirklich spannenden Leute eh nicht
dort eintragen lassen, dass die automatisierte Auswertung datenschutzrechtliche Fragen beruehrt, dass dort bewusst falsche Datensaetze eingetragen wurden, um [Kopien von Konkurrenten](http://www.pcwelt.de/start/computer/archiv/10349/topware_pleite/) zu entdecken.

Man kann aber nicht leugnen, dass sich aus den Informationen zumindest spannende Trends ableiten lassen. Dass sich diese Trends wieder auf den Einzelnen anwenden lassen und so ein buntes, bewegtes
Bild Deutschlands gewinnen laesst.

Vor ungefaehr einem Jahr wurde mir klar, dass man mit den wenigen Momentaufnahmen, die ich aus sportlichen Gruenden aus dem Telefonbuch gewonnen habe, keinen langfristigen Blumentopf gewinnen kann. Und
wenn ich eh immer die neueste Version der Daten brauche, dann koennte ich gleich ein Archiv anlegen.

Mein erster Gedanke war natuerlich eBay, die Ausbeute dort jedoch nicht sehr ergiebig. Bevor ich in einem hellen Moment mal google ausprobierte und mit der Nase auf amazon gestossen wurde, ging die
Akquise nur sehr schleppend voran, da auch keiner meiner bekannten Nerds (sonstige Freunde sowieso nicht) so alte CDs/DVDs in ihren Grabbelkisten finden konnte oder wollte, so sie meine Nachfragen
ueberhaupt fuer voll genommen hatten.

Haendler, die noch auf Restposten der diversen Jahrgaenge sassen, freuten sich natuerlich die Platze, fuer den Plastemuell noch den einen oder anderen Euro (in Einzelfaellen gar den unverschaemten
Neupreis) zu verdienen, um ihre Lagerflaechen zu entlasten. Bei der Herbstausgabe 1998 war aber auch hier die Antiquitaetsgrenze erreicht, auch, wenn lustigerweise immer noch einzelne Haendler Fruehjahr
'98 im Inventar listen, um mir dann bei Bestellung aus "Fehlinventarisierungsgruenden" abzuspringen oder – aus Vorfreude aufs Paket-Sicht noch schlimmer – einfach die aktuell verfuegbare
Nachfolger-CD zu schicken.

Die Recherche erbrachte interessanterweise noch andere Interessenten an den Scheiben, naemlich [Hobby-Ahnenforscher](http://home.bawue.de/~hanacek/info/edatbase.htm). Und dort fand ich dann
endlich den Schluessel fuer die noch fehlenden Telefonbuecher: Bibliotheken. Auch, wenn natuerlich keine der oeffentlichen Bibliotheken antike Telefonbuch-CDs rumliegen hat, kann man sich ueber das [Konzept der Fernleihe](https://www.voebb.de/) alle deutschlandweit verfuegbaren Exemplare zukommen lassen. Und nachdem ich auch noch in das Erlernen des Unterschieds zwischen Staats- und
oeffentlichen Bibliotheken 25 Euro investieren durfte, befinden sich nunmehr alle Silberscheiben auf dem direkten Wege zu mir.

Ein Hurra auf ein Land, das Literatur nicht einfach verbrennt oder irgendwo vergammeln laesst, sondern fein saeuberlich aufbewahrt. Und ein verstaendnisloses Dreinstieren, wenn man den Fakt bedenkt,
dass nun vier fragile Plastedatentraeger mit ein paar Megabyte historischer Informationen durch Deutschland gekarrt werden, wo es doch nun sogar fuer elektronische Medien eine [digitale Ausleihe](http://www.voebb24.de/) gibt.

Zugegeben, der Umstand, dass man dort die elektronischen Werke "ausleihen" und "zurueckgeben" muss und dass jeweils nur ein "Exemplar" "ausgeliehen" werden kann, macht einen nachdenken. Fuer
meinen Fall spielt das aber leider keine Rolle.

Fuer meine werte Leserschaft nun noch die – in Saisonhinsicht relativ vollstaendige – Liste der bei mir verfuegbaren Ausgaben. Aufgefuehrt, damit Hacker mit aehnlichem Hobby auf der
google-Suche vielleicht hier vorbeikommen und sich die Recherchearbeit sparen. Auch eventuelle Sachspender koennen hier ueberpruefen, ob ihre zuhause verstaubende CD noch nutzbringend Anwendung
finden kann. Ueber die 4 CDs von 1996 bis Fruehjahr 1998 wuerde ich mich natuerlich immernoch freuen, da ein kurzfristiger Blick auf die Bibliotheksversion lange nicht so spannend ist, wie der Besitz des
Originals. Ansonsten sind die "Map&amp;Route"-Versionen der Telefonbuecher immer gerne genommen, weil auf denen Geokoordinaten Hausnummern- statt Strassen-genau mitgeliefert werden.

In der Tabelle steht links D2 fuer DVD, Stand Februar und C9 fuer CD, Stand September des jeweiligen Jahres. Kommata im Namen wurden an Zeilenumbruechen auf dem CD/DVD-Cover eingefuegt, Punkte
verbatim kopiert und bei "DasTelefonbuch" habe ich kein Space vergessen, das heisst seit Herbst 2003 wirklich so.

<center><table border="1px dotted white" style="font-size: smaller; border: 1px dotted white;">
<tr><td>-2</td><td>Telefonbuch für Deutschland, Version 1.0 [1996]</td><td>3-931424-09-X</td></tr>
<tr><td>-2</td><td>Telefonbuch für Deutschland, Frühjahr 1997</td><td>3-931424-37-5</td></tr>
<tr><td>-?</td><td>Telefonbuch für Deutschland, Herbst 1997</td><td>3-931424-??-?</td></tr>
<tr><td>-1</td><td>Telefonbuch für Deutschland, Frühjahr 1998</td><td>3-931424-50-2</td></tr>
<tr><td>C8</td><td>Telefonbuch für Deutschland, Herbst 1998</td><td>3-931424-60-X</td></tr>
<tr><td>C1</td><td>Telefonbuch für Deutschland, Frühjahr1999</td><td>3-931424-67-7</td></tr>
<tr><td>C9</td><td>Das Telefonbuch. Für Deutschland, Herbst 1999</td><td>3-931424-74-X</td></tr>
<tr><td>C2</td><td>Das Telefonbuch. Für Deutschland, Frühjahr 2000</td><td>3-931424-80-4</td></tr>
<tr><td>C8</td><td>Das Telefonbuch. Für Deutschland, Herbst 2000</td><td>3-931424-89-8</td></tr>
<tr><td>C2</td><td>Das Telefonbuch. Für Deutschland, Frühjahr 2001</td><td>3-931424-98-7</td></tr>
<tr><td>C8</td><td>Das Telefonbuch. Für Deutschland, Herbst 2001</td><td>3-934073-04-2</td></tr>
<tr><td>C2</td><td>Das Telefonbuch. Für Deutschland, Frühjahr 2002</td><td>3-934073-14-X</td></tr>
<tr><td>D8</td><td>Das Telefonbuch und Gelbe Seiten. Map&amp;Route. Herbst 2002</td><td>3-934073-26-3</td></tr>
<tr><td>D2</td><td>Das Telefonbuch und Gelbe Seiten. Map&amp;Route. Frühjahr 2003</td><td>3-934073-30-1</td></tr>
<tr><td>C8</td><td>DasTelefonbuch, Deutschland, Herbst 2003</td><td>3-934073-36-0</td></tr>
<tr><td>C2</td><td>DasTelefonbuch, Map&amp;Route, Frühjahr 2004</td><td>3-934073-44-1</td></tr>
<tr><td>C8</td><td>DasTelefonbuch, Map&amp;Route, Herbst 2004</td><td>3-934073-52-2</td></tr>
<tr><td>C2</td><td>DasTelefonbuch, Map&amp;Route, Frühjahr 2005</td><td>3-934073-61-1</td></tr>
<tr><td>D2</td><td>DasTelefonbuch, Gelbe Seiten, Map&amp;Route, Frühjahr 2005</td><td>3-934073-64-6</td></tr>
<tr><td>C8</td><td>DasTelefonbuch, Deutschland, Herbst 2005</td><td>3-934073-68-9</td></tr>
<tr><td>C2</td><td>DasTelefonbuch, Deutschland, Frühjahr 2006</td><td>3-934073-75-1</td></tr>
<tr><td>C8</td><td>DasTelefonbuch, Deutschland, Herbst 2006</td><td>3-938913-01-0</td></tr>
<tr><td>C2</td><td>DasTelefonbuch, Deutschland, Frühjahr 2007</td><td>3-938913-08-6</td></tr>
<tr><td>D2</td><td>DasTelefonbuch, Gelbe Seiten, Map&amp;Route, Frühjahr 2007</td><td>3-938913-10-9</td></tr>
<tr><td>D8</td><td>DasTelefonbuch, Gelbe Seiten, Map&amp;Route, Herbst 2007</td><td>3-938913-18-5</td></tr>
<tr><td>D2</td><td>DasTelefonbuch, Gelbe Seiten, Map&amp;Route, Frühjahr 2008</td><td>3-938913-23-9</td></tr>
<tr><td>D8</td><td>DasTelefonbuch, Deutschland, Alles in einem, Herbst 2008</td><td>3-938913-27-4</td></tr>
<tr><td>D2</td><td>DasTelefonbuch, GelbeSeiten, Map&amp;Route, Frühjahr 2009</td><td>3-938913-37-1</td></tr>
<tr><td>D8</td><td>DasTelefonbuch, GelbeSeiten, Map&amp;Route, Herbst 2009</td><td>3-938913-43-6</td></tr>
<tr><td>D2</td><td>DasTelefonbuch, GelbeSeiten, Map&amp;Route, Frühjahr 2010</td><td>3-938913-47-5</td></tr>
<tr><td>D9</td><td>DasTelefonbuch, Deutschland, Alles in einem, Herbst 2010</td><td>3-938913-50-5</td></tr>
</table></center>

</div>
